// priority: 1000
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded dark_steel_casing.js)')


// dark_steel_casing
StartupEvents.registry('block', event => {
    event.create('dark_steel_casing')
        .displayName('Dark Steel Casing')
        .soundType('metal')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/dark_steel_casing.json (point to block model)
assets/kubejs/models/block/custom_casings/dark_steel_casing.json (parent minecraft:block/cube_all + texture key)
assets/kubejs/models/item/dark_steel_casing.json (item uses block model)
assets/kubejs/textures/block/custom_casings/dark_steel_casing/{standard,ctm}.png/mcmeta
*/